Skip to main content
PUT
Update Chart Transaction

Authorizations

Authorization
string
header
required

Token-based authentication with required prefix "Token"

Path Parameters

id
integer
required

Body

entity
integer
required
account
integer | null
tax_rate
integer | null
write-only
apply_both_sides
boolean
default:false
write-only
transaction_match_id
integer | null
write-only
debit_amount
number<double> | null
Required range: -1000000000000000000 < x < 1000000000000000000
credit_amount
number<double> | null
Required range: -1000000000000000000 < x < 1000000000000000000
debit_amount_book
number<double> | null
Required range: -1000000000000000000 < x < 1000000000000000000
credit_amount_book
number<double> | null
Required range: -1000000000000000000 < x < 1000000000000000000
debit_amount_native
number<double> | null
Required range: -1000000000000000000 < x < 1000000000000000000
credit_amount_native
number<double> | null
Required range: -1000000000000000000 < x < 1000000000000000000
currency
string
Maximum string length: 3
exchange_rate
number<double> | null
Required range: -100000000000000 < x < 100000000000000
exchange_rate_book
number<double> | null
Required range: -100000000000000 < x < 100000000000000
posted_at
string<date> | null
merchant_name
string | null
bank_description
string | null
tag_ids
integer<int64>[]
Required range: -9223372036854776000 <= x <= 9223372036854776000
tag_group_ids
integer<int64>[]
Required range: -9223372036854776000 <= x <= 9223372036854776000
note
string | null
receipt_url
string<uri> | null
Maximum string length: 512
external_id
string | null
needs_review
boolean
draft_matches
unknown
last_lam_prediction_attempt
string<date-time> | null
source_entity
integer | null
parent_bank_transaction
integer | null
vendor
integer | null
department
integer | null
last_modified_by
integer | null

Response

200 - application/json
id
integer
required
read-only
is_deleted
boolean
default:false
required
read-only
deleted_at
string<date-time> | null
required
read-only
entity_name
string
required
read-only
entity_currency
string
required
read-only
account_name
string | null
required
read-only

Combines account number and name in the format "number - name"

account_number
string
required
read-only
vendor_name
string
required
read-only

Name of the linked Campfire Vendor object. Distinct from merchant_name, which is free text stored directly on the transaction and not linked to a Campfire object.

vendor_id
string
required
read-only
department_name
string
required
read-only
department_code
string
required
read-only
parent_department_name
string
required
read-only
parent_department
integer
required
read-only
tags
object[]
required
read-only
journal
integer
required
read-only
journal_order
string
required
read-only
journal_memo
string
required
read-only
journal_type
string
required
read-only
intercompany_journal
integer
required
read-only
created_automatically
boolean
required
read-only
journal_attachments
object[]
required
read-only
journal_type_name
string | null
required
read-only
invoice
string | null
required
read-only
bill
string | null
required
read-only
date_month
string | null
required
read-only

Two-digit month (MM) derived from posted_at, the transaction date.

date_year
string | null
required
read-only

Four-digit year (YYYY) derived from posted_at, the transaction date.

balance_after_transaction
number<double>
required
read-only
bank_account
string
required
read-only
bank_account_name
string
required
read-only
last_modified_by_name
string
required
read-only
account_type
string
required
read-only
account_subtype
string
required
read-only
parent_account_name
string
required
read-only
files
string
required
read-only
invoice_id
integer | null
required
read-only
invoice_number
string | null
required
read-only
bill_id
integer | null
required
read-only
bill_number
string | null
required
read-only
file_names
string
required
read-only
has_matches
boolean
required
read-only
has_ai
boolean
required
read-only
has_rules
boolean
required
read-only
has_merges
boolean
required
read-only
has_fixed_asset_rule_matches
boolean
required
read-only
primary_action_type
string
required
read-only
suggested_account
integer | null
required
read-only
suggested_account_name
string | null
required
read-only
suggested_account_number
string | null
required
read-only
amount
number<double>
required
read-only

Amount in consolidated currency (the currency of the root entity).

Required range: -1000000000000000000 < x < 1000000000000000000
amount_native
number<double>
required
read-only

Amount in the currency the transaction was originally created in.

Required range: -1000000000000000000 < x < 1000000000000000000
amount_book
number<double>
required
read-only

Amount in the currency of the entity this transaction belongs to.

Required range: -1000000000000000000 < x < 1000000000000000000
amortization_schedule
object[]
required
read-only
linked_amortizations
object[]
required
read-only
created_fixed_assets
object[]
required
read-only

Return all fixed assets this transaction is linked to — via the legacy purchase_transaction FK (reverse: created_fixed_assets) AND the new purchase_transactions M2M (reverse: linked_fixed_assets). Dual-write keeps the FK target in the M2M, but using both covers any pre-backfill drift and surfaces non-primary M2M-only links (e.g. the secondary txns in a multi-txn fixed asset, or a split-resized txn).

reconciliation_report
string
required
read-only
opposing_account_name
string
required
read-only
opposing_account_number
string
required
read-only
transaction_id
string<uuid>
required
read-only
balance_before_transaction
number<double> | null
required
read-only
Required range: -1000000000000000000 < x < 1000000000000000000
created_at
string<date-time>
required
read-only
last_modified_at
string<date-time>
required
read-only
customer
integer
required
read-only
entity
integer
required
account
integer | null
debit_amount
number<double> | null
Required range: -1000000000000000000 < x < 1000000000000000000
credit_amount
number<double> | null
Required range: -1000000000000000000 < x < 1000000000000000000
debit_amount_book
number<double> | null
Required range: -1000000000000000000 < x < 1000000000000000000
credit_amount_book
number<double> | null
Required range: -1000000000000000000 < x < 1000000000000000000
debit_amount_native
number<double> | null
Required range: -1000000000000000000 < x < 1000000000000000000
credit_amount_native
number<double> | null
Required range: -1000000000000000000 < x < 1000000000000000000
currency
string
Maximum string length: 3
exchange_rate
number<double> | null
Required range: -100000000000000 < x < 100000000000000
exchange_rate_book
number<double> | null
Required range: -100000000000000 < x < 100000000000000
posted_at
string<date> | null
merchant_name
string | null
bank_description
string | null
tag_ids
integer<int64>[]
Required range: -9223372036854776000 <= x <= 9223372036854776000
tag_group_ids
integer<int64>[]
Required range: -9223372036854776000 <= x <= 9223372036854776000
note
string | null
receipt_url
string<uri> | null
Maximum string length: 512
external_id
string | null
needs_review
boolean
draft_matches
unknown
last_lam_prediction_attempt
string<date-time> | null
source_entity
integer | null
parent_bank_transaction
integer | null
vendor
integer | null
department
integer | null
last_modified_by
integer | null